org.apache.ignite.internal

## Class SecurityAwarePredicate<E>

- java.lang.Object
- - org.apache.ignite.internal.processors.security.AbstractSecurityAwareExternalizable<IgnitePredicate<E>>
  - - org.apache.ignite.internal.SecurityAwarePredicate<E>

All Implemented Interfaces:
  Externalizable, Serializable, GridInternalWrapper<IgnitePredicate<E>>, IgnitePredicate<E>

    public class SecurityAwarePredicate<E>
    extends AbstractSecurityAwareExternalizable<IgnitePredicate<E>>
    implements IgnitePredicate<E>

Security aware IgnitePredicate.

See Also:
  Serialized Form

### Field Summary

### Fields inherited from class org.apache.ignite.internal.processors.security.AbstractSecurityAwareExternalizable

`ignite, original, subjectId`

### Constructor Summary

Constructors
Constructor and Description
`SecurityAwarePredicate()` Default constructor.
`SecurityAwarePredicate(UUID subjectId, IgnitePredicate<E> original)`

### Method Summary

All Methods Instance Methods Concrete Methods
`boolean` `apply(E evt)` Predicate body.

### Methods inherited from class org.apache.ignite.internal.processors.security.AbstractSecurityAwareExternalizable

`logAccessDeniedMessage, readExternal, userObject, writeExternal`

### Methods inherited from class java.lang.Object

`clone, equals, finalize, getClass, hashCode, notify, notifyAll, toString, wait, wait, wait`

### Constructor Detail

#### SecurityAwarePredicate

    public SecurityAwarePredicate()

Default constructor.

#### SecurityAwarePredicate

    public SecurityAwarePredicate(UUID subjectId,
                                  IgnitePredicate<E> original)

Parameters:
  `subjectId` - Security subject id.
  `original` - Original predicate.

### Method Detail

#### apply

    public boolean apply(E evt)

Predicate body.

Specified by:
  `apply` in interface `IgnitePredicate<E>`
Parameters:
  `evt` - Predicate parameter.
Returns:
  Return value.

${current.year} Copyright © Apache Software Foundation

Follow @ApacheIgnite

Ignite Database and Caching Platform | : ver. 2.16.0
Release Date | : December 15 2023